


export default interface IBuffer
{
    /**
     * 所属组
     */
    group:string;
    
    /**
     * 运行
     * @param data 
     */
    Run(data?:any):void;
    
    /**
     * 心跳
     * @param dt 
     */
    Tick(dt:number):void;
    /**
     * 全局唯一Bufferid
     */
    GetUUID():number;

    /**
     * 结束时间点
     */
    GetEndTime():number;

    /**
     * 剩余时间
     */
    GetTimeRemaining():number;

    /**
     * 时长
     */
    GetTime():number;
}